D-Bus 1.13.18

Functions
DBusServer implementations for Windows
D-Bus secret internal implementation details

Implementation details of DBusServer on Windows. More...

## Functions
DBusServerListenResult | _dbus_server_listen_platform_specific (DBusAddressEntry *entry, DBusServer **server_p, DBusError *error)
| Tries to interpret the address entry in a platform-specific way, creating a platform-specific server type if appropriate. More...

## Detailed Description

Implementation details of DBusServer on Windows.

## Function Documentation

## ◆ _dbus_server_listen_platform_specific()

DBusServerListenResult _dbus_server_listen_platform_specific | ( | DBusAddressEntry * | entry,
|  | DBusServer ** | server_p,
|  | DBusError * | error
| ) |  |

Tries to interpret the address entry in a platform-specific way, creating a platform-specific server type if appropriate.

Sets error if the result is not OK.

Parameters

  entry | an address entry
  server_p | location to store a new DBusServer, or NULL on failure.
  error | location to store rationale for failure on bad address

Returns
  the outcome

Definition at line 50 of file dbus-server-win.c.

References dbus_address_entry_get_method(), dbus_address_entry_get_value(), and NULL.